Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class Queue

    java.lang.Object
      |
      +--org.apache.catalina.util.Queue

public class Queue
extends java.lang.Object

A simple FIFO queue class which causes the calling thread to wait if the queue is empty and notifies threads that are waiting when it is not empty.

Author:
  Anil V (akv@eng.sun.com)

Constructor Summary
`Queue()`

Method Summary
`java.lang.Object` | `get()` Get the first object out of the queue.
`boolean` | `isEmpty()` Is the queue empty?
`java.lang.Object` | `peek()` Peek to see if something is available.
`java.lang.Object` | `pull()` Pull the first object out of the queue.
`void` | `put(java.lang.Object object)` Put the object into the queue.
`int` | `size()` How many elements are there in this queue?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Queue

    public Queue()

Method Detail

### put

    public void put(java.lang.Object object)

  Put the object into the queue.
  Parameters:
    `object` - the object to be appended to the queue.

### pull

    public java.lang.Object pull()

  Pull the first object out of the queue. Wait if the queue is empty.

### get

    public java.lang.Object get()

  Get the first object out of the queue. Return null if the queue is empty.

### peek

    public java.lang.Object peek()

  Peek to see if something is available.

### isEmpty

    public boolean isEmpty()

  Is the queue empty?

### size

    public int size()

  How many elements are there in this queue?

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.